Package com.arms.api.analysis.cost.controller

## Class CostController

- java.lang.Object
- - com.arms.api.analysis.cost.controller.CostController

-     @RestController
      @RequestMapping("/admin/arms/analysis/cost")
      public class CostController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CostController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `calculateAssigneeCost​(CostDTO costDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `calculateCost​(CostDTO costDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `calculateRequirementCost​(CostDTO costDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `calculateVersionCost​(CostDTO costDTO)` |
    `org.springframework.http.ResponseEntity<ProductCostResponseVO>` | `candleStickChartAPI​(CostDTO costDTO)` | 제품에 대한 누적 월 별 비용 조회 API
    `org.springframework.http.ResponseEntity<AllAssigneeVO>` | `getAssigneeList​(CostDTO costDTO)` | 버전별 요구사항별 담당자 조회 API
    `org.springframework.http.ResponseEntity<java.util.List<AssigneeTimeDiffVO>>` | `getEstimatedPeriodCostByAccountId​(CostDTO costDTO)` | 작업자별 - 작업일 수 및 비용 일할계산
    `org.springframework.http.ResponseEntity<LinkedJiraIssueVO>` | `getLinkedJiraIssuesByVersionAndRequirement​(CostDTO costDTO)` | 버전별 요구사항별 연결된 지라 지라 이슈 아이디 조회 API (버블 차트)
    `org.springframework.http.ResponseEntity<RequirementDifficultyAndPriorityVO>` | `getRequirementListStats​(java.lang.String changeReqTableName, CostDTO costDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `toBeCalculateCost​(CalculationCostDTO calculationCostDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CostController

          public CostController()

  - ### Method Detail

    - #### getAssigneeList

          @PostMapping("/version-req-assignees")
          public org.springframework.http.ResponseEntity<AllAssigneeVO> getAssigneeList​(@RequestBody
                                                                                        CostDTO costDTO)
                                                                                 throws java.lang.Exception

      버전별 요구사항별 담당자 조회 API
      Throws:
        `java.lang.Exception`

    - #### getLinkedJiraIssuesByVersionAndRequirement

          @PostMapping("/req-linked-issue")
          public org.springframework.http.ResponseEntity<LinkedJiraIssueVO> getLinkedJiraIssuesByVersionAndRequirement​(@RequestBody
                                                                                                                       CostDTO costDTO)
                                                                                                                throws java.lang.Exception

      버전별 요구사항별 연결된 지라 지라 이슈 아이디 조회 API (버블 차트)
      Throws:
        `java.lang.Exception`

    - #### getRequirementListStats

          @PostMapping("/{changeReqTableName}/req-difficulty-priority-list")
          public org.springframework.http.ResponseEntity<RequirementDifficultyAndPriorityVO> getRequirementListStats​(@PathVariable("changeReqTableName")
                                                                                                                     java.lang.String changeReqTableName,
                                                                                                                     @RequestBody
                                                                                                                     CostDTO costDTO)
                                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### candleStickChartAPI

          @PostMapping("/product-accumulate-cost-by-month")
          public org.springframework.http.ResponseEntity<ProductCostResponseVO> candleStickChartAPI​(@RequestBody
                                                                                                    CostDTO costDTO)
                                                                                             throws java.lang.Exception

      제품에 대한 누적 월 별 비용 조회 API
      Throws:
        `java.lang.Exception`

    - #### getEstimatedPeriodCostByAccountId

          @PostMapping("/personal-estimated-period-cost")
          public org.springframework.http.ResponseEntity<java.util.List<AssigneeTimeDiffVO>> getEstimatedPeriodCostByAccountId​(@RequestBody
                                                                                                                               CostDTO costDTO)
                                                                                                                        throws java.lang.Exception

      작업자별 - 작업일 수 및 비용 일할계산
      Throws:
        `java.lang.Exception`

    - #### calculateCost

          @PostMapping("/calculation")
          public org.springframework.http.ResponseEntity<?> calculateCost​(@RequestBody
                                                                          CostDTO costDTO)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateVersionCost

          @PostMapping("/version-calculation")
          public org.springframework.http.ResponseEntity<?> calculateVersionCost​(@RequestBody
                                                                                 CostDTO costDTO)
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateRequirementCost

          @PostMapping("/requirement-calculation")
          public org.springframework.http.ResponseEntity<?> calculateRequirementCost​(@RequestBody
                                                                                     CostDTO costDTO)
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateAssigneeCost

          @PostMapping("/assignee-calculation")
          public org.springframework.http.ResponseEntity<?> calculateAssigneeCost​(@RequestBody
                                                                                  CostDTO costDTO)
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toBeCalculateCost

          @PostMapping("/to-be/calculation")
          public org.springframework.http.ResponseEntity<?> toBeCalculateCost​(@RequestBody
                                                                              CalculationCostDTO calculationCostDTO)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`